/***************************************************************************
                          names.h  -  RPG names
                             -------------------
    begin                : 10.10.2002
    copyright            : (C) 2002 by strato
    email                : strato@shufflebee.dk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GMTOOL_H
#define GMTOOL_H
#include "baseform.h"
#include "xmlparser.h"
#include <qxml.h>
#include <qstring.h>
#include <vector.h>
#include <qfile.h>
#include <qpe/applnk.h>
//#include <qpe/fileselector.h>

class GMTool : public BaseForm
{ 
    Q_OBJECT

public:
    GMTool( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~GMTool();    
    void rollNames();
    void rollPlaces();
    void rollNPC();
    void setRace(const QString&);
    void setFile(QString);
    void parseFile();
    QFile xmlFile;

private:    
    //FileSelector* fs;    
    XmlParser handler;
    QXmlSimpleReader reader; 

public slots:
    void quit();
    void geoChange();
    void placeChange();
    void generate();
    void openXML();
    void openDoc(const DocLnk& xmlfile);
    void setDocument(const QString& fileObj);
};

#endif // GMTOOL_H
