/***************************************************************************
                          runit.cpp  - Random name Unit for RPG names
                             -------------------
    begin                : 10.10.2002
    copyright            : (C) 2002 by strato
    email                : strato@shufflebee.dk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "runit.h"
#include <qstringlist.h>

RUnit::RUnit()
{
  uname = "";
}

RUnit::~RUnit()
{

}

/*
 * Create array of names
 */
void RUnit::makeLists(const QStringList& females, const QStringList& males)
{
    f1.clear(); f2.clear(); f3.clear(); f4.clear(); f5.clear(); 
    m1.clear(); m2.clear(); m3.clear(); m4.clear(); m5.clear();

    int c,i,l;
    c = females.count(); // no. of names for this gender
    if(c < 5) { qWarning("Not enough member data to create unit names"); return; }
    l = c/5; // divided in 5 arrrays
    i = 0; // iterator
  
    for( i = 0; i < l*5; i++ )
      { 
	switch( i%5 )
	  {
	  case 0: 
	    f1.append(females[i]); break;	    
	  case 1: 
	    f2.append(females[i]); break;
	  case 2: 
	    f3.append(females[i]); break;
	  case 3: 
	    f4.append(females[i]); break;
	  case 4: 
	    f5.append(females[i]); break;
	  default: qWarning("case not matched!"); break;
	  }
      }  

    c = males.count(); 
    if(c < 5) { qWarning("Not enough member data to create unit names"); return; }
    l = c/5; 
    i = 0; 
    for( i = 0; i < l*5; i++ )
      { 
	switch( i%5 )
	  {
	  case 0: 
	    m1.append(males[i]); break;	    
	  case 1: 
	    m2.append(males[i]); break;
	  case 2: 
	    m3.append(males[i]); break;
	  case 3: 
	    m4.append(males[i]); break;
	  case 4: 
	    m5.append(males[i]); break;
	  default: qWarning("male case not matched!"); break;
	  }
      }  

  }

