/***************************************************************************
                          xmlparser.h  -  RPG names
                             -------------------
    begin                : 10.10.2002
    copyright            : (C) 2002 by strato
    email                : strato@shufflebee.dk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef XML_H
#define XML_H
#include <qxml.h>
#include <qstring.h>
#include <qvaluelist.h>
#include "runit.h"
#include "punit.h"

//class QString;
typedef QValueList<RUnit> RandomNameList;
typedef QValueList<PUnit> RandomPlaceList;

class XmlParser: public QXmlDefaultHandler
{
 public:  
  bool startDocument();
  bool endDocument();
  bool startElement( const QString&, const QString&, const QString&,
		     const QXmlAttributes& );
  bool endElement( const QString&, const QString&, const QString& );
  bool characters( const QString& );
  void clear();
 
  RandomNameList races;
  RandomPlaceList places;
  RandomPlaceList geoplaces;

  QStringList females, males, place;
  
 private:
  QString racename, placename;
  int state;
  int gender;
  void trimList( QStringList& data );
};

#endif


		
